Bug 464864 - Package scipy.stsci non functional
Package scipy.stsci non functional
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: scipy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 17:56 EDT by Sergio Pascual
Modified: 2008-10-30 08:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-09-30 17:56:07 EDT
The subpackage scipy.stsci misses the directories convolve and image. Instead the distutils file setup.py is installed.
Comment 1 Jef Spaleta 2008-10-02 12:43:15 EDT
i take a look at it today.

-jef
Comment 2 Jef Spaleta 2008-10-02 13:02:15 EDT
Okay this is a bit odd, taking the scipy 0.6.0 tarball and doing a fresh build from source and the stsci tree doesn't build as expected.  Can you try to confirm that locally?  It seems like an upstream bug in the 0.6.0 release.

If I pull from scipy svn and build locally it works.  I'll try to track down the necessary patch and get it applied.

-jef
Comment 3 Sergio Pascual 2008-10-02 13:08:57 EDT
I have built the srpm (scipy-0.6.0-5.fc9.src.rpm) in mock and it's as you say, the stsci part doesn't build.
Comment 4 Jef Spaleta 2008-10-02 13:13:54 EDT
Found it... the image and convolve directories as shipped in scipy 0.6.0 were
missing the setupy.py files.  As soon as they are added things appear to build.
I'll get this fixed in our package and ping upstream and see if they'll roll
out a point release tarball to fix this.

-jef
Comment 5 Jef Spaleta 2008-10-02 15:35:12 EDT
Hey can you do a quick test using this package:
http://people.fedoraproject.org/~jspaleta/scipy-0.6.0-6.fc9.i386.rpm

If that works for you I'll stick it in the build system as an update.

-jef
Comment 6 Sergio Pascual 2008-10-03 09:14:54 EDT
Something is wrong, the files are still missing

$ rpm -q scipy
scipy-0.6.0-6.fc9.i386

$ rpm -ql scipy |grep stsci
/usr/lib/python2.5/site-packages/scipy/stsci
/usr/lib/python2.5/site-packages/scipy/stsci/__init__.py
/usr/lib/python2.5/site-packages/scipy/stsci/__init__.pyc
/usr/lib/python2.5/site-packages/scipy/stsci/__init__.pyo
/usr/lib/python2.5/site-packages/scipy/stsci/setup.py
/usr/lib/python2.5/site-packages/scipy/stsci/setup.pyc
/usr/lib/python2.5/site-packages/scipy/stsci/setup.pyo
Comment 7 Jef Spaleta 2008-10-03 15:04:59 EDT
I'm an idiot.. made a mistake in copying in the files.

I've confirmed that the files do actually get built in development tree.

I'll fire off some builds today for rawhide and then for F9 updates-testing.

Bodhi should ping this bug ticket when they land in updates-testing. 

-jef
Comment 8 Fedora Update System 2008-10-03 17:43:52 EDT
scipy-0.6.0-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/scipy-0.6.0-7.fc9
Comment 9 Sergio Pascual 2008-10-04 17:52:17 EDT
This is rather minor, but I think setup.py shouldn't be installed. (It is in site-packages/scipy/stsci)
Comment 10 Fedora Update System 2008-10-07 05:50:27 EDT
scipy-0.6.0-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scipy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8667
Comment 11 Fedora Update System 2008-10-30 08:51:46 EDT
scipy-0.6.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.